2 Replies Latest reply on Feb 15, 2016 9:07 AM by Raul Aguilar

    SelectByID2 does not work when trying to move a structural member in a weldment

    Raul Aguilar

      I am using a Macro to record the creation of a weldment and when I play it back, it works as expected. However, when I use the Locate Profile Button to move the origin of a structural member, it works fine when I record it, but not when I play it back. The boolstatus = swDoc.Extension.SelectByID2("Point7@Sketch11", "EXTSKETCHPOINT", 0.127, 0, 0, true, 0, Nothing, 0) returns a True, but the structural member does not move at all (I was expecting it to move 0.127M in the x direction). I am a newbie, so I am sure I am doing something wrong, but I have no idea what it is. Can somebody please offer me some clues as to what I may be doing wrong? Thanks in advance for your help!